#! /bin/sh -e
## 
## All lines beginning with `## DP:' are a description of the patch.
## DP: No description. 

[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
patch_opts="${patch_opts:--f --no-backup-if-mismatch}"

if [ $# -ne 1 ]; then
    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
    exit 1
fi  
case "$1" in
       -patch) patch $patch_opts -p1 < $0;;
       -unpatch) patch $patch_opts -p1 -R < $0;;
        *)
                echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
		exit 1;;
esac            

exit 0
@DPATCH@
--- mgetty-1.1.27.orig/mgetty.cfg.in
+++ mgetty-1.1.27/mgetty.cfg.in
@@ -20,6 +20,9 @@
 # access the modem(s) with @SPEED@ bps
 speed @SPEED@
 
+# use an alternate issue file, to avoid being bitten by linuxlogo
+issue-file /etc/issue.mgetty
+
 #  use these options to make the /dev/tty-device owned by "uucp.uucp" 
 #  and mode "rw-rw-r--" (0664). *LEADING ZERO NEEDED!*
 #port-owner uucp
